Class | Object
In: | lib/sequel/extensions/blank.rb lib/sequel/extensions/sql_expr.rb
Parent: | Object

### Methods

blank? sql_expr

### Public Instance methods

blank?()

Objects are blank if they respond true to empty?

[Source]

        # File lib/sequel/extensions/blank.rb, line 12
    12:   def blank?
    13:     respond_to?(:empty?) && empty?
    14:   end

sql_expr()

Return a copy of the object wrapped in a Sequel::SQL::GenericComplexExpression. Allows easy use of the Object with Sequel‘s DSL. You‘ll probably have to make sure that Sequel knows how to literalize the object properly, though.

[Source]

        # File lib/sequel/extensions/sql_expr.rb, line 41
    41:   def sql_expr
    42:     Sequel::SQL::GenericComplexExpression.new(:NOOP, self)
    43:   end

[Validate]